/* Global Styles */
body {
    font-family: 'Lato', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

header, main, footer {
    padding: 20px;
    max-width: 900px;
    margin: 0 auto;
}

header {
    display: block;
    text-align: center;
    border-bottom: 2px solid #007bff;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 1rem;
}

header img {
    width: 200px;
    height: auto;
}

header h1 {
    text-align: center;
    justify-content: center;
    padding: 2rem;
    margin-top: 1rem;
}

.main {
    display: block;
}

h1, h2 {
    margin-top: 0;
}

.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    background-color: rgba(0, 0, 0, 0.7);
    color: #fff;
    padding: 1.5rem;
    border: 1px solid white ;
    border-radius: 1rem;
}


.hero {
    position: relative;
    overflow: hidden;
    border-radius: 1rem;
    
}

.hero picture {
    display: block;
    width: 100%;
    height: auto;
    margin-bottom: 1rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    
}

.hero img{
    width: 100%;
    height: auto;
    justify-content: center;
    align-items: center;
    border-radius: 1rem;
}

.hero-text h2 {
    font-size: 7px;
    padding-top: 1rem;
}

.hero-text h3 {
    font-size: 5px;
}

.hero-text a {
    padding: 0.5rem;
    font-size: 7px;
    color: white;
    background-color: #007bff;
    border-radius: 1rem;
    text-decoration: none;
}

.hero-text a:hover {
    background-color: black;
    color: white;
}

/* Mobile-first Design */
@media (min-width: 600px) {
    /* Adjustments for larger screens */
    .main {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1rem;
    }

    header {
        display: flex;
        justify-content: space-between;
        text-align: center;
    }

    section {
        gap: 1rem;
        margin: 0 10px;
    }


    .image-gallery {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1rem;
    }

    .hero-text h2 {
        font-size: 1rem;
    }

    .hero-text h3 {
        font-size: 1rem;
    }

    .hero-text a {
        font-size: 1rem;
    }

    .accommodation-info ul li,
    .services ul li {
        margin-right: 20px; /* Adjust spacing between list items */
    }
}

/* Styles specific to this page */
.accommodation-info, .contact, .gallery {
    margin-bottom: 20px;
}

.accommodation-info {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    text-align: center;
    padding: 1rem;
    border-radius: 1rem;
}

.services {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    padding: 1rem;
    text-align: center;
    border-radius: 1rem;
}

.contact {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    padding: 1rem;
    text-align: center;
    border-radius: 1rem;
} 

.gallery {
    margin-top: 2rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    padding: 1rem;
    text-align: center;
    border-radius: 1rem;
}


.contact-options a {
    display: inline-block;
    margin-top: 1rem;
    margin-right: 10px;
    margin-bottom: 1.5rem;
    text-decoration: none;
    color: #fff;
    background-color: #007bff;
    padding: 10px 20px;
    border-radius: 1rem;
}

.contact-options a:hover {
    background-color: black;
}

.image-gallery img {
    max-width: 100%;
    height: auto;
    margin-bottom: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

p {
    line-height: 2;
}

.accommodation-info ul,
.services ul {
    list-style: none;
    padding: 1rem;
    text-align: center;
}

.accommodation-info ul li,
.services ul li {
    margin-bottom: 10px;
    display: block;
}

.main h2 {
    text-align: center;
}

footer {
    border-top: 2px solid #007bff;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    margin-bottom: 1rem;
    border-radius: 1rem;
}

footer p {
    text-align: center;
    font-weight: bold;
}

.social {
    display: flex;
    flex-direction:row;
    justify-content: center;
    
}

.social p {
    justify-content: space-between;
    margin: 1rem;
}

.fa-brands {
    background-color: black;
    color: white;
    padding: 0.5rem;
    border-radius: 1rem;
}
